# -*- coding: utf-8 -*-
################################################################################
#
#  pyScanMaster -- Python Interface to ScanMaster POS
#  Copyright © 2013-2014 Sacramento Natural Foods Co-op, Inc
#
#  This file is part of pyScanMaster.
#
#  pyScanMaster is free software: you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation, either version 3 of the License, or (at your option)
#  any later version.
#
#  pyScanMaster is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
#  You should have received a copy of the GNU General Public License along with
#  pyScanMaster.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################

"""
Employee Data
"""

from __future__ import unicode_literals

from scanmaster.ascii import Record, BLANK


class EmployeeRecord(Record):
    """
    Defines an employee data record, as found in ``GR2PRS.BTR``.
    """
    data_format = (
        # start         length          fieldname
        (1,             3,              'employee_id'),
        (4,             3,              'security_number'),
        (7,             20,             'name'),
        (27,            1,              'security_level'),
        (28,            2,              'active_on_register_number'),
        (30,            1,              'active_flag'),
        (31,            1,              'clock_in_out'),
        (32,            6,              'birth_date'),
        (38,            12,             'manager_id'),
        (50,            4,              'pw_reserved'),
        (54,            1,              'encrypted_flag'),
        (55,            6,              BLANK),
        )
