# -*- coding: utf-8 -*-
################################################################################
#
#  pyScanMaster -- Python Interface to ScanMaster POS
#  Copyright © 2013-2015 Sacramento Natural Foods Co-op, Inc
#
#  This file is part of pyScanMaster.
#
#  pyScanMaster is free software: you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation, either version 3 of the License, or (at your option)
#  any later version.
#
#  pyScanMaster is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
#  You should have received a copy of the GNU General Public License along with
#  pyScanMaster.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################
"""
Exceptions
"""

from __future__ import unicode_literals


class TlogParseError(Exception):
    """
    Base class for all errors related to Tlog parsing.
    """

    def __str__(self):
        return unicode(self).encode('utf_8')


class TlogRecordCodeNotFound(TlogParseError):
    """
    Raised when a Tlog record has an invalid code field.
    """
    def __init__(self, code):
        self.code = code

    def __unicode__(self):
        return "Not a valid Tlog record code: {0}".format(repr(self.code))
